################################################################################
### runs/kallisto
################################################################################

## Genome file to build kallisto Index
kallisto_IndexInput:
  - class: File
    path: ../../studies/TalinumGenomeDraft/resources/Talinum.gm.CDS.nt.fa
    format: edam:format_1929 # FASTA

## Fastq files to be mapped
# The `readsOfOneSample` looks more complicated than needed
# It's an array of records (each with one or mupltiple files and a sample name) to generically allow multiple fastq files per sample

kallisto_sampleRecord:
  - readsOfOneSample:
    - class: File
      path: ../../assays/RNASeq/dataset/DB_097_CAMMD_CAGATC_L001_R1_001.fastq.gz
      format: edam:format_1930
    sampleName: 'DB_097'
  - readsOfOneSample:  
    - class: File
      path: ../../assays/RNASeq/dataset/DB_163_reC3MD_GTGAAA_L001_R1_001.fastq.gz
      format: edam:format_1930
    sampleName: 'DB_163'
  - readsOfOneSample:
    - class: File
      path: ../../assays/RNASeq/dataset/DB_099_CAMMD_CTTGTA_L001_R1_001.fastq.gz
      format: edam:format_1930
    sampleName: 'DB_099'
  - readsOfOneSample:
    - class: File
      path: ../../assays/RNASeq/dataset/DB_103_CAMMD_AGTCAA_L001_R1_001.fastq.gz
      format: edam:format_1930
    sampleName: 'DB_103'
  - readsOfOneSample:
    - class: File
      path: ../../assays/RNASeq/dataset/DB_161_reC3MD_GTCCGC_L001_R1_001.fastq.gz
      format: edam:format_1930
    sampleName: 'DB_161'
  - readsOfOneSample:
    - class: File
      path: ../../assays/RNASeq/dataset/DB_165_re-C3MD_GTGAAA_L002_R1_001.fastq.gz
      format: edam:format_1930
    sampleName: 'DB_165'

### Kallisto quant Parameters
kallisto_isSingle: true
kallisto_FragmentLength: 200
kallisto_StandardDeviation: 20
kallisto_BootstrapSamples: 30
kallisto_resultsFolder: kallisto_results

$namespaces:
  edam: https://edamontology.org/

################################################################################
### runs/isaSampleToRawDataSeq
################################################################################

isaSampleToRawDataSeq_arcPath: 
  class: Directory
  path: ../../
isaSampleToRawDataSeq_assayName: "RNASeq"
isaSampleToRawDataSeq_outName: rnaseq-samples
isaSampleToRawDataSeq_startingNodeNum: 0

################################################################################
### runs/sleuth
################################################################################

inMetadataSample: "Input [Source Name]"
inMetadataFactorList:
  - "Factor [Photosynthesis mode]"
inMetadataDataCol: "Output [Data]"
outFolder: results
